﻿namespace ExtendedDatabinding {
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;

    public class PersonRepository {
        private static Person p = new Person {
            FirstName = "David",
            LastName = "Fowler",
            Address = "One Microsoft Way",
            State = "WA"
        };        

        public IEnumerable<Person> GetPersons() {
            yield return p;
        }

        public void Update(Person person) {
            p.Address = person.Address;
            p.FirstName = person.FirstName;
            p.LastName = person.LastName;
            p.State = person.State;
        }
    }

    public class Person {
        public int Id { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string Address { get; set; }
        public string State { get; set; }
    }
}